import { getInvoiceInfoDetail } from "../../service/invoice";

// pages/invoiceDetailContent/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    detail: {},
    id: "",
    header: [
      { key: 'time', title: '月份' },
      { title: '电表地址',renderBody: (item) => item.meter.address },
      { key: 'money', title: '金额' },
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const { id } = options;
    this.getDetail(id)
  },
  async getDetail(id) {
    const { code, message, data } = await getInvoiceInfoDetail(id);
    this.setData({
      detail: data,
      id
    })
  },
  jumpToInvoiceDetail() {
    wx.redirectTo({
      url: '/pages/invoiceDetail/index?id=' + this.data.id,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})