import apis from '../utils/request';
const { GET, POST, PUT, DELETE } = apis

// 常见问题
export const getQuestions = async function() {
  return await GET(`/wx/getQuestions`);
}

// 提交意见反馈
export const createOption = async function(data) {
  return await POST(`/wx/option`, data);
}

// 获取自己提交的意见列表
export const getOptionList = async function() {
  return await GET(`/wx/getOptionList`);
}

// 查询意见详情
export const getOptionDetail = async function(id) {
  return await GET(`/wx/getOptionDetail/${id}`);
}

// 提交意见反馈
export const deleteOption = async function() {
  return await DELETE(`/wx/deleteOption/${id}`);
}

// 提交意见反馈
export const aboutUs = async function() {
  return await GET(`/wx/aboutUs`);
}